<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:09 CEST 2021 -->
<title>C-Index</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="../back/CarteChance.html" title="class in back"><span class="typeNameLink">CarteChance</span></a> - Class in <a href="../back/package-summary.html">back</a></dt>
<dd>
<div class="block">Classe représentant une carte chance.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/CarteChance.html#CarteChance--">CarteChance()</a></span> - Constructor for class back.<a href="../back/CarteChance.html" title="class in back">CarteChance</a></dt>
<dd>
<div class="block">Constructeur de la carte chance.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Chance.html#carteConservee-back.Joueur-">carteConservee(Joueur)</a></span> - Method in class back.<a href="../back/Chance.html" title="class in back">Chance</a></dt>
<dd>
<div class="block">Méthode qui permet de changer la valeur de modificateur du joueur sur le nombre de DS.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Chance.html#cartesConserveeTexte-back.Joueur-">cartesConserveeTexte(Joueur)</a></span> - Method in class back.<a href="../back/Chance.html" title="class in back">Chance</a></dt>
<dd>
<div class="block">Méthode qui attribu le bons texte aux cartes pouvant être conservée.</div>
</dd>
<dt><a href="../back/Case.html" title="class in back"><span class="typeNameLink">Case</span></a> - Class in <a href="../back/package-summary.html">back</a></dt>
<dd>
<div class="block">Classe abstraite représentant une case</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Case.html#Case-java.lang.String-int-java.lang.String-">Case(String, int, String)</a></span> - Constructor for class back.<a href="../back/Case.html" title="class in back">Case</a></dt>
<dd>
<div class="block">Constructeur d'une case contenat un nom, un identifiant et une couleur.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Depart.html#caseDepart-back.Joueur-">caseDepart(Joueur)</a></span> - Method in class back.<a href="../back/Depart.html" title="class in back">Depart</a></dt>
<dd>
<div class="block">Méthode d'action de la case.</div>
</dd>
<dt><a href="../view/CaseView.html" title="class in view"><span class="typeNameLink">CaseView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/CaseView.html#CaseView-back.Case-">CaseView(Case)</a></span> - Constructor for class view.<a href="../view/CaseView.html" title="class in view">CaseView</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../back/CentreCommercial.html" title="class in back"><span class="typeNameLink">CentreCommercial</span></a> - Class in <a href="../back/package-summary.html">back</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/CentreCommercial.html#CentreCommercial-java.lang.String-int-java.lang.String-int-int-int-int-int-">CentreCommercial(String, int, String, int, int, int, int, int)</a></span> - Constructor for class back.<a href="../back/CentreCommercial.html" title="class in back">CentreCommercial</a></dt>
<dd>
<div class="block">Constructeur d'une case CentreCommercial.</div>
</dd>
<dt><a href="../view/CentreCommercialView.html" title="class in view"><span class="typeNameLink">CentreCommercialView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/CentreCommercialView.html#CentreCommercialView-back.CentreCommercial-">CentreCommercialView(CentreCommercial)</a></span> - Constructor for class view.<a href="../view/CentreCommercialView.html" title="class in view">CentreCommercialView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/Utiles.html#centrer-javafx.scene.control.Label-">centrer(Label)</a></span> - Static method in class view.<a href="../view/Utiles.html" title="class in view">Utiles</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/Utiles.html#centrer-javafx.scene.control.Button-">centrer(Button)</a></span> - Static method in class view.<a href="../view/Utiles.html" title="class in view">Utiles</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../back/Chance.html" title="class in back"><span class="typeNameLink">Chance</span></a> - Class in <a href="../back/package-summary.html">back</a></dt>
<dd>
<div class="block">Classe représentant la case chance.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Chance.html#Chance-java.lang.String-int-java.lang.String-">Chance(String, int, String)</a></span> - Constructor for class back.<a href="../back/Chance.html" title="class in back">Chance</a></dt>
<dd>
<div class="block">Constructeur de la case chance.</div>
</dd>
<dt><span class="memberNameLink"><a href="../view/ActionView.html#chance-back.Chance-back.Joueur-">chance(Chance, Joueur)</a></span> - Static method in class view.<a href="../view/ActionView.html" title="class in view">ActionView</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../view/ChanceView.html" title="class in view"><span class="typeNameLink">ChanceView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ChanceView.html#ChanceView-back.Case-">ChanceView(Case)</a></span> - Constructor for class view.<a href="../view/ChanceView.html" title="class in view">ChanceView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/Configuration.html#chargerConfig-java.lang.String-">chargerConfig(String)</a></span> - Static method in class back.<a href="../back/Configuration.html" title="class in back">Configuration</a></dt>
<dd>
<div class="block">Renvoie la configuration sauvegardée dont le nom correspond au nom transmis.</div>
</dd>
<dt><a href="../view/ClassementView.html" title="class in view"><span class="typeNameLink">ClassementView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ClassementView.html#ClassementView--">ClassementView()</a></span> - Constructor for class view.<a href="../view/ClassementView.html" title="class in view">ClassementView</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../back/Configuration.html" title="class in back"><span class="typeNameLink">Configuration</span></a> - Class in <a href="../back/package-summary.html">back</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/Configuration.html#Configuration--">Configuration()</a></span> - Constructor for class back.<a href="../back/Configuration.html" title="class in back">Configuration</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/Configuration.html#Configuration-back.Configuration-">Configuration(Configuration)</a></span> - Constructor for class back.<a href="../back/Configuration.html" title="class in back">Configuration</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../view/ConfigView.html" title="class in view"><span class="typeNameLink">ConfigView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ConfigView.html#ConfigView--">ConfigView()</a></span> - Constructor for class view.<a href="../view/ConfigView.html" title="class in view">ConfigView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/Partie.html#contientJoueur-back.Joueur-">contientJoueur(Joueur)</a></span> - Method in class back.<a href="../back/Partie.html" title="class in back">Partie</a></dt>
<dd>
<div class="block">Test l'existence d'un Joueur dans l'ArrayList de Joueur.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
